//:://////////////////////////////////////////////
//:: Created By: Yaron
//:: Created On: July 17th, 2006
//:://////////////////////////////////////////////

#include "log_h"
#include "utility_h"
#include "wrappers_h"
#include "events_h"
#include "2da_constants_h"
#include "plt_plot_hohlenbaer"
#include "plt_plot_kleindrachen"
#include "plt_plot_arion"
#include "silk_helper_h"
#include "col_party_h"
#include "col_global_objekts_h"

void main()
{
    event ev = GetCurrentEvent();
    int nEventType = GetEventType(ev);
    string sDebug;
    object oPC = GetHero();
    object oParty = GetParty(oPC);
    int nEventHandled = FALSE;

    switch(nEventType)
    {
        ///////////////////////////////////////////////////////////////////////
        // Sent by: The engine
        // When: it is for playing things like cutscenes and movies when
        // you enter an area, things that do not involve AI or actual game play
        ////////////////////////////////////////////////////////////////////////
        case EVENT_TYPE_AREALOAD_SPECIAL:
        {
            //This event fires every time the area is loaded, but we only
            //want to play the introductory cutscene once. Therefore we use this
            //if statement and plot flag to check whether it's been played before.



            break;
        }
        ///////////////////////////////////////////////////////////////////////
        // Sent by: The engine
        // When: for things you want to happen while the load screen is still up,
        // things like moving creatures around
        ////////////////////////////////////////////////////////////////////////
        case EVENT_TYPE_AREALOAD_PRELOADEXIT:
        {
            break;
        }
        ////////////////////////////////////////////////////////////////////////
        // Sent by: The engine
        // When: fires at the same time that the load screen is going away,
        // and can be used for things that you want to make sure the player sees.
        ////////////////////////////////////////////////////////////////////////
        case EVENT_TYPE_AREALOAD_POSTLOADEXIT:
        {
            break;
        }
          case EVENT_TYPE_SET_PLOT:
        {
             if (WR_GetPlotFlag(PLT_PLOT_ARION, ARION_AUFGABE)== TRUE)
             {

               object oFollower = GetObjectByTag("teppo");
              SetGroupId (oFollower, GROUP_PC);
               object oFollower2 = GetObjectByTag("hadar");
              SetGroupId (oFollower2, GROUP_PC);
                object oFL_HADAR = UT_GetNearestCreatureByTag (oPC,COL_FL_HADAR);
              object oFL_TEPPO = UT_GetNearestCreatureByTag (oPC,COL_FL_TEPPO);
       COL_SetFollowerRecruited(oFL_TEPPO, TRUE, PLT_COL_PARTY, COL_TEPPO_IN_CAMP, COL_TEPPO_IN_PARTY,FALSE,TRUE);
        COL_SetFollowerRecruited(oFL_HADAR, TRUE, PLT_COL_PARTY, COL_HADAR_IN_CAMP, COL_HADAR_IN_PARTY,FALSE,TRUE);
          WR_SetFollowerState(oFollower ,FOLLOWER_STATE_ACTIVE);
            WR_SetFollowerState(oFollower2,FOLLOWER_STATE_ACTIVE);
            }

            break;

           }
        ////////////////////////////////////////////////////////////////////////
        // Sent by: The engine
        // When: A creature enters the area
        ////////////////////////////////////////////////////////////////////////
         case EVENT_TYPE_ENTER:
        {
            object oCreature = GetEventCreator(ev);

            break;
        }
     




         case EVENT_TYPE_TEAM_DESTROYED:

              {
            if (GetEventInteger(ev,0) == 141)
            {
              UT_DestroyTag("col_baer");
              UT_TeamAppears (140, FALSE);

                 WR_SetPlotFlag(PLT_PLOT_HOHLENBAER, BAER_ERLEDIGT,TRUE);
                  //WR_SetPlotFlag(PLT_PLOT_HOHLENBAER, HOEHLBAERTOT,TRUE);
                    WR_SetPlotFlag(PLT_PLOT_HOHLENBAER, STRAUCH_BENUTZT,TRUE);
                        object oMug = GetObjectByTag("strauchmug");
                   SetObjectInteractive (oMug, TRUE);


            }

              else if (GetEventInteger(ev,0) == 145)

            {











           }
            break;

           }

        ////////////////////////////////////////////////////////////////////////
        // Sent by: The engine
        // When: A creature exits the area
        ////////////////////////////////////////////////////////////////////////
        case EVENT_TYPE_EXIT:
        {
            object oCreature = GetEventCreator(ev);

            break;
        }







    if (!nEventHandled)
    {
        HandleEvent(ev, RESOURCE_SCRIPT_AREA_CORE);
    }
}

}
